package com.ruoyi.tcZz.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.tcZz.domain.TcWljgtj;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.tcZz.mapper.TcWpyrwwclMapper;
import com.ruoyi.tcZz.domain.TcWpyrwwcl;
import com.ruoyi.tcZz.service.ITcWpyrwwclService;

/**
 * 网评员任务完成率（网评系统）Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Service
public class TcWpyrwwclServiceImpl implements ITcWpyrwwclService 
{
    @Autowired
    private TcWpyrwwclMapper tcWpyrwwclMapper;

    /**
     * 查询网评员任务完成率（网评系统）
     * 
     * @param id 网评员任务完成率（网评系统）主键
     * @return 网评员任务完成率（网评系统）
     */
    @Override
    public TcWpyrwwcl selectTcWpyrwwclById(Long id)
    {
        return tcWpyrwwclMapper.selectTcWpyrwwclById(id);
    }

    /**
     * 查询网评员任务完成率（网评系统）列表
     * 
     * @param tcWpyrwwcl 网评员任务完成率（网评系统）
     * @return 网评员任务完成率（网评系统）
     */
    @Override
    public List<TcWpyrwwcl> selectTcWpyrwwclList(TcWpyrwwcl tcWpyrwwcl)
    {
        return tcWpyrwwclMapper.selectTcWpyrwwclList(tcWpyrwwcl);
    }

    /**
     * 新增网评员任务完成率（网评系统）
     * 
     * @param tcWpyrwwcl 网评员任务完成率（网评系统）
     * @return 结果
     */
    @Override
    public int insertTcWpyrwwcl(TcWpyrwwcl tcWpyrwwcl)
    {
        tcWpyrwwcl.setCreateTime(DateUtils.getNowDate());
        return tcWpyrwwclMapper.insertTcWpyrwwcl(tcWpyrwwcl);
    }

    /**
     * 修改网评员任务完成率（网评系统）
     * 
     * @param tcWpyrwwcl 网评员任务完成率（网评系统）
     * @return 结果
     */
    @Override
    public int updateTcWpyrwwcl(TcWpyrwwcl tcWpyrwwcl)
    {
        tcWpyrwwcl.setUpdateTime(DateUtils.getNowDate());
        return tcWpyrwwclMapper.updateTcWpyrwwcl(tcWpyrwwcl);
    }

    /**
     * 批量删除网评员任务完成率（网评系统）
     * 
     * @param ids 需要删除的网评员任务完成率（网评系统）主键
     * @return 结果
     */
    @Override
    public int deleteTcWpyrwwclByIds(Long[] ids)
    {
        return tcWpyrwwclMapper.deleteTcWpyrwwclByIds(ids);
    }

    /**
     * 删除网评员任务完成率（网评系统）信息
     * 
     * @param id 网评员任务完成率（网评系统）主键
     * @return 结果
     */
    @Override
    public int deleteTcWpyrwwclById(Long id)
    {
        return tcWpyrwwclMapper.deleteTcWpyrwwclById(id);
    }

    @Override
    public String importUser(List<TcWpyrwwcl> tTcWpyrwwclList) {
        StringBuilder successMsg = new StringBuilder();
        if (!tTcWpyrwwclList.isEmpty()) {
            for (TcWpyrwwcl tcWpyrwwcl : tTcWpyrwwclList) {
                tcWpyrwwclMapper.insertTcWpyrwwcl(tcWpyrwwcl);
            }
            successMsg.append("导入成功");
        }
        return successMsg.toString();
    }

    @Override
    public void updateByisStatus(Integer isStatus,List<String> ids) {
        tcWpyrwwclMapper.updateByisStatus(isStatus,ids);
    }
}
